X-Cart: shopping cart software

X-Cart forums (https://forum.x-cart.com/index.php)
-   X-Payments issues & questions (https://forum.x-cart.com/forumdisplay.php?f=50)
-   -   Upgrading X-Payments (https://forum.x-cart.com/showthread.php?t=70078)

totaltec 09-24-2014 12:22 PM

Re: Updated X-Cart 4.x connector for X-Payments
 
Alex, everyone,

I am attempting to upgrade X-payments. X-payments is installed in the public_html folder.
I have followed the instructions to the letter, uploaded all the files to public_html/upgrade and tried to issue the following command:

“php upgrade.php 2.0.0 2.1.1”

I get the following error:
"libgcc_s.so.1 must be installed for pthread_cancel to work"

The server is a dedicated SSD machine hosted with TSS. They acted like they have never heard of this before, and suggested I contact Qualiteam. :-)

Any ideas? Anyone ran into this?

cflsystems 09-24-2014 12:29 PM

Re: Updated X-Cart 4.x connector for X-Payments
 
http://forums.cpanel.net/f5/libgcc_s-so-1-must-installed-pthread_cancel-work-382262.html
http://rivenlinux.info/cpanel-error-libgcc_s-so-1-must-be-installed-for-pthread_cancel-to-work/

totaltec 09-24-2014 12:30 PM

Re: Updated X-Cart 4.x connector for X-Payments
 
Yes we have looked at those. I agree that is what the problem is. TSS is acting like it is a code problem...

cflsystems 09-24-2014 12:36 PM

Re: Updated X-Cart 4.x connector for X-Payments
 
I did an upgrade to X-Payments twice and there were no errors. It was on HandOn or EWD servers, can't remember, but they should be the same, just the name changed.

It is possible to be some specific server settings for which QT did not account for...

totaltec 09-24-2014 06:55 PM

Re: Updated X-Cart 4.x connector for X-Payments
 
Just went on a journey! Getting XP to upgrade was major pain, but it was all server config issues, not the fault of XP. I've got a story to tell...

Here is what happened:

We had the problem described above on the client site. TSS was certain it was a XP/QT problem and not their issue. So I balled it up and brought it down to my local machine. Got it running fine on Windows, but the upgrade script on my local Windows machine gave up pretty quickly without having access to tar. :-)

So I loaded it on my box hosted at Hard Hat, and tried again in this Linux environment. Nope, no luck, missing the mcrypt Extension, and it would not run. So on a whim I popped it up on another TSS hosted virtual machine, this thing doesn't even have SSL support so I had no way to access the XP admin panel. I didn't let that stop me from trying the upgrade script though! It failed.

I got this error:
sh: patch: command not found

At least it was different! I contacted TSS and they quickly came back with:
"We have adjusted a setting here on our end to allow access to this function. Can you please try this again and let us know if you have problems?"

And I ran the script again, this time no Apache error or missing extensions errors, but database problems. The database had gotten corrupted during all my previous failed attempts. Deleted everything, grabbed a fresh copy of the DB and files from the client's server. Upload, Import, run the script, and Bam! We are in business. Packed that up, loaded everything back on the client site, opened up the admin panel, logged in, and there she was, working perfectly running 2.1.1

Thanks Alex! :-)

Edit: I have now discovered with TSS help that the original issue was just operating in a jailed shell rather than as root. Feeling stupid. :-)

ambal 09-24-2014 11:45 PM

Re: Upgrading X-Payments
 
Hi Everyone,

Since the issue was about upgrading X-Payments itself and not about installing our new X-Cart 4.x X-Payments connector modules I created a new thread and moved all messages about that here.

ambal 09-24-2014 11:45 PM

Re: Upgrading X-Payments
 
Mike, I am glad to know you managed to figure out what was the reason (and it was not a bug in our upgrade script ;) )

cherie 09-26-2014 04:39 PM

Re: Upgrading X-Payments
 
If upgrade.php failed with a more helpful message it may have saved you some time.

totaltec 09-26-2014 05:11 PM

Re: Upgrading X-Payments
 
Quote:

Originally Posted by ambal
Mike, I am glad to know you managed to figure out what was the reason (and it was not a bug in our upgrade script ;) )

Me too. :-)

To recap: On a dedicated TSS server you must be logged in as root to perform the upgrade. On a VPS it does not matter, but you might need to ask for patch and sh to be enabled.


All times are GMT -8. The time now is 01:38 AM.

Powered by vBulletin Version 3.5.4
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.